<?php
$sql = "SELECT * from ehongdb.dbo.reg_billdatadocument a
left outer join (select bill_no as xbill_no,ps_name,brand_name,serial_no,pserial_no,model_no,color_name,chkhint0 from ehongdb.dbo.reg_bill) b on(a.bill_no=b.xbill_no)
left outer join (select packbarcode as xpackbarcode,packsenttype from ehongdb.dbo.reg_packdata) c on(a.packbarcode=c.xpackbarcode)
left outer join(SELECT * FROM [EHONGDB].[dbo].[BRANCH]) ax on (ax.BR_ID=a.BR_ID)
left outer join(SELECT * FROM [EHONGDB].[dbo].[branch_salezone]) bx on (ax.SZONE_CODE=bx.szone_code)
left outer join(SELECT * FROM [EHONGDB].[dbo].[PROV]) cx on (a.RG_PROV=cx.PR_CODE)
where (status<>'V') and (fdoc_no<>'N4') $str";
// echo $sql;
$select=$conn->prepare($sql);
$select->execute();
$item = 1;
while($fetch=$select->fetch()){
  if ($fetch['CUSTACPDATE'] != '') {
    $CUSTACPDATE1 = substr($fetch['CUSTACPDATE'],0,4)+543; $CUSTACPDATE2 = substr($fetch['CUSTACPDATE'],5,2); $CUSTACPDATE3 = substr($fetch['CUSTACPDATE'],8,2);
    $CUSTACPDATE = $CUSTACPDATE3."/".$CUSTACPDATE2."/".$CUSTACPDATE1;
  } else {
    $CUSTACPDATE = '';
  }
  if ($fetch['BRACPDATE'] != '') {
    $BRACPDATE1 = substr($fetch['BRACPDATE'],0,4)+543; $BRACPDATE2 = substr($fetch['BRACPDATE'],5,2); $BRACPDATE3 = substr($fetch['BRACPDATE'],8,2);
    $BRACPDATE = $BRACPDATE3."/".$BRACPDATE2."/".$BRACPDATE1;
  } else {
    $BRACPDATE = '';
  }
  if ($fetch['SENTBRDATE'] != '') {
    $SENTBRDATE1 = substr($fetch['SENTBRDATE'],0,4)+543; $SENTBRDATE2 = substr($fetch['SENTBRDATE'],5,2); $SENTBRDATE3 = substr($fetch['SENTBRDATE'],8,2);
    $SENTBRDATE = $SENTBRDATE3."/".$SENTBRDATE2."/".$SENTBRDATE1;
  } else {
    $SENTBRDATE = '';
  }

  // นับข้อมูล
  if ($ST == "1" || $ST == "SUM1") {
    $day = "15";
    $DateStart = $SENTBRDATE3; //วันเริ่มต้น
    $MonthStart = $SENTBRDATE2; //เดือนเริ่มต้น
    $YearStart = $SENTBRDATE1-543; //ปีเริ่มต้น
    $DateEnd = date('d'); //วันสิ้นสุด
    $MonthEnd = date('m'); //เดือนสิ้นสุด
    $YearEnd = date('Y'); //ปีสิ้นสุด
    $Start = mktime(0,0,0,$MonthStart ,$DateStart ,$YearStart);
    $End = mktime(0,0,0,$MonthEnd,$DateEnd,$YearEnd);
    $DateNum=ceil(($End-$Start)/86400); // 28
    // echo $DateNum;
    // น้อยกว่า 15 วัน
    if ($DateNum <= $day) {
      $outdate_a = $DateNum;
      $reg_count_a = count($outdate_a);
      $reg_sum_a += $reg_count_a;
    } else {
      $outdate_a = "";
    }
    // มากกว่า 15 วัน
    if ($DateNum > $day) {
      $outdate_b = $DateNum;
      $reg_count_b = count($outdate_b);
      $reg_sum_b += $reg_count_b;
    } else {
      $outdate_b = "";
    }

  }
  if ($ST == "2" || $ST == "SUM2") {
    $day = "45";
    $DateStart = $BRACPDATE3; //วันเริ่มต้น
    $MonthStart = $BRACPDATE2; //เดือนเริ่มต้น
    $YearStart = $BRACPDATE1-543; //ปีเริ่มต้น
    $DateEnd = date('d'); //วันสิ้นสุด
    $MonthEnd = date('m'); //เดือนสิ้นสุด
    $YearEnd = date('Y'); //ปีสิ้นสุด
    $Start = mktime(0,0,0,$MonthStart ,$DateStart ,$YearStart);
    $End = mktime(0,0,0,$MonthEnd,$DateEnd,$YearEnd);
    $DateNum=ceil(($End-$Start)/86400); // 28
    // echo $DateNum;
    // น้อยกว่า 45 วัน
    if ($DateNum <= $day) {
      $outdate_a = $DateNum;
      $reg_count_a = count($outdate_a);
      $reg_sum_a += $reg_count_a;
    } else {
      $outdate_a = "";
    }
    // มากกว่า 45 วัน
    if ($DateNum > $day) {
      $outdate_b = $DateNum;
      $reg_count_b = count($outdate_b);
      $reg_sum_b += $reg_count_b;
    } else {
      $outdate_b = "";
    }
  }
  if ($ST == "3" || $ST == "4") {
    // code...
  }

  if ($ST == "245a" || $ST == "SUM245a") {
    $day = "45";
    $DateStart = $BRACPDATE3; //วันเริ่มต้น
    $MonthStart = $BRACPDATE2; //เดือนเริ่มต้น
    $YearStart = $BRACPDATE1-543; //ปีเริ่มต้น
    $DateEnd = date('d'); //วันสิ้นสุด
    $MonthEnd = date('m'); //เดือนสิ้นสุด
    $YearEnd = date('Y'); //ปีสิ้นสุด
    $Start = mktime(0,0,0,$MonthStart ,$DateStart ,$YearStart);
    $End = mktime(0,0,0,$MonthEnd,$DateEnd,$YearEnd);
    $DateNum=ceil(($End-$Start)/86400); // 28
    // echo $DateNum;
    // น้อยกว่า 45 วัน
    if ($DateNum <= $day) {
      $outdate_a = $DateNum;
      $reg_count_a = count($outdate_a);
      $reg_sum_a += $reg_count_a;
    } else {
      $outdate_a = "";
    }
    // มากกว่า 45 วัน
    if ($DateNum > $day) {
      $outdate_b = $DateNum;
      $reg_count_b = count($outdate_b);
      $reg_sum_b += $reg_count_b;
    } else {
      $outdate_b = "";
    }
  }
  if ($ST == "245b" || $ST == "SUM245b") {
    $day = "45";
    $DateStart = $BRACPDATE3; //วันเริ่มต้น
    $MonthStart = $BRACPDATE2; //เดือนเริ่มต้น
    $YearStart = $BRACPDATE1-543; //ปีเริ่มต้น
    $DateEnd = date('d'); //วันสิ้นสุด
    $MonthEnd = date('m'); //เดือนสิ้นสุด
    $YearEnd = date('Y'); //ปีสิ้นสุด
    $Start = mktime(0,0,0,$MonthStart ,$DateStart ,$YearStart);
    $End = mktime(0,0,0,$MonthEnd,$DateEnd,$YearEnd);
    $DateNum=ceil(($End-$Start)/86400); // 28
    // echo $DateNum;
    // น้อยกว่า 45 วัน
    if ($DateNum <= $day) {
      $outdate_a = $DateNum;
      $reg_count_a = count($outdate_a);
      $reg_sum_a += $reg_count_a;
    } else {
      $outdate_a = "";
    }
    // มากกว่า 45 วัน
    if ($DateNum > $day) {
      $outdate_b = $DateNum;
      $reg_count_b = count($outdate_b);
      $reg_sum_b += $reg_count_b;
    } else {
      $outdate_b = "";
    }
  }



  // $reg_count




}


?>
